attivazione regola ilogic

tonygancio

Utente Junior
Professione: impiegato
Software: inventor - solidworks - showcase
Regione: friuli venezia giulia
Ciao a tutti, mi servirebbe una dritta per creare una combinazione di tasti per attivare una regola ilogic.
Vorrei che premendo ad esempio ctrl+p mi si attivi una regola; questa regola ha il compito di far partire un altra regola e poi un modulo.
Con questo automatismo, cioè premendo ctrl+p apro una maschera per inserire le iproperty + delle altre proprietà personalizzate.
Grazie mille!
N
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Colleghi la tua combinazione di tasti alla macro VBA co tasto DX sulla ribbon > personalizza comandi utente
 

tonygancio

Utente Junior
Professione: impiegato
Software: inventor - solidworks - showcase
Regione: friuli venezia giulia
mi da un messaggio di errore, devo sostituire qualcosa nel listato x caso?
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Dipende dal messaggio di errore...
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Codice:
Public Sub Internal_iLogic()
'From https://www.cadlinecommunity.co.uk/hc/en-us/articles/115000859309
Dim addIn As ApplicationAddIn
Dim addIns As ApplicationAddIns

Set addIns = ThisApplication.ApplicationAddIns
    For Each addIn In addIns
        If InStr(addIn.DisplayName, "iLogic") > 0 Then
                        addIn.Activate
            Dim iLogicAuto As Object
            Set iLogicAuto = addIn.Automation
            Exit For
        End If
    Next
Debug.Print addIn.DisplayName
 
 
Dim EXTERNALrule As String
Dim INTERNALrule As String

EXTERNALrule = "3D PDF"

INTERNALrule = "Regola0"
 
  Dim oDoc As Document
 
  Set oDoc = ThisApplication.ActiveDocument
  If oDoc Is Nothing Then
    MsgBox "Missing Inventor Document"
    Exit Sub
  End If
 
iLogicAuto.RunRule oDoc, INTERNALrule 'for internal rule
'iLogicAuto.RunExternalRule oDoc, EXTERNALrule 'for external rule

End Sub
C'era un errore di sintassi, sistemato (le righe rosse)

Nelle righe blu metti il nome della tua regola
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Sono spariti i colori ma credo che sia chiaro lo stesso dove mettere i nomi delle regole
 

tonygancio

Utente Junior
Professione: impiegato
Software: inventor - solidworks - showcase
Regione: friuli venezia giulia
C'era un errore di sintassi, sistemato (le righe rosse)

Nelle righe blu metti il nome della tua regola[/QUOTE]
Ciao, innanzitutto ti ringrazio per l'aiuto, però ancora non funziona...non ci sono righe blu e non mi è chiaro do ve sostituire il nome regola...
Se ti dicessi che la regola si chiama START e vorrei attivarla premendo ctrl+d mi potresti impostare tu?
grazie mille!!
N
 

Allegati

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Meno male che era solo una dritta :p
Codice:
Public Sub Internal_iLogic()
'From https://www.cadlinecommunity.co.uk/hc/en-us/articles/115000859309
Dim addIn As ApplicationAddIn
Dim addIns As ApplicationAddIns
Set addIns = ThisApplication.ApplicationAddIns
    For Each addIn In addIns
        If InStr(addIn.DisplayName, "iLogic") > 0 Then
                        addIn.Activate
            Dim iLogicAuto As Object
            Set iLogicAuto = addIn.Automation
            Exit For
        End If
    Next
Debug.Print addIn.DisplayName

'Dim EXTERNALrule As String
Dim INTERNALrule As String

'EXTERNALrule = "3D PDF"

' ----- GUARDA QUI! ---------
INTERNALrule = "START"

 
Dim oDoc As Document
Set oDoc = ThisApplication.ActiveDocument
  If oDoc Is Nothing Then
    MsgBox "Missing Inventor Document"
    Exit Sub
  End If

iLogicAuto.RunRule oDoc, INTERNALrule 'for internal rule

'iLogicAuto.RunExternalRule oDoc, EXTERNALrule 'for external rule

End Sub
 

Catafratto

Utente Standard
Professione: Disegnatore/progettista
Software: Inventor 2020
Regione: Veneto
Per il ctrl-d devi proprio arrangiarti, se leggi più in alto ho già scritto come fare.
 

Adahm

Utente standard
Professione: Consulente di Processo
Software: CatiaV5 / Inventor21
Regione: Lombardia
Meno male che era solo una dritta :p
Codice:
Public Sub Internal_iLogic()
'From https://www.cadlinecommunity.co.uk/hc/en-us/articles/115000859309
Dim addIn As ApplicationAddIn
Dim addIns As ApplicationAddIns
Set addIns = ThisApplication.ApplicationAddIns
    For Each addIn In addIns
        If InStr(addIn.DisplayName, "iLogic") > 0 Then
                        addIn.Activate
            Dim iLogicAuto As Object
            Set iLogicAuto = addIn.Automation
            Exit For
        End If
    Next
Debug.Print addIn.DisplayName

'Dim EXTERNALrule As String
Dim INTERNALrule As String

'EXTERNALrule = "3D PDF"

' ----- GUARDA QUI! ---------
INTERNALrule = "START"


Dim oDoc As Document
Set oDoc = ThisApplication.ActiveDocument
  If oDoc Is Nothing Then
    MsgBox "Missing Inventor Document"
    Exit Sub
  End If

iLogicAuto.RunRule oDoc, INTERNALrule 'for internal rule

'iLogicAuto.RunExternalRule oDoc, EXTERNALrule 'for external rule

End Sub
Insomma, ogni volta che ho bisogno di soluzioni le trovo postate da te: grazie! ;)